services:

  cachet:
    # ports:
    #   - 8085:8000
    image: cachethq/docker
    container_name: ${cachetServName}
    restart: ${restartPolicy}
    depends_on:
      - db
    networks:
      - cachetNet
    links:
      - db:db
    environment:
      - DB_HOST=db
      - APP_ENV=${APP_ENV:-production}
      - APP_LOG=errorlog
      - APP_DEBUG=false
      - DEBUG=false
    env_file:
      - ../../secret/env-${cachetServName}

  db:
    image: mariadb:10.5
    container_name: ${cachetDBName}
    restart: ${restartPolicy}
    networks:
      - cachetNet
    env_file:
      - ../../secret/env-${cachetDBName}
    volumes:
      #- ./initdb.d:/docker-entrypoint-initdb.d:ro
      - cachetDB:/var/lib/mysql
      - /home/sauve/:/svg/
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro

volumes:
  cachetDB:

networks:
  cachetNet:
    external: true
    name: cachetNet
